Bug 199336 - Control key generating weird scan codes
Control key generating weird scan codes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 19:34 EDT by David Juran
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 07:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2006-07-18 19:34:06 EDT
Description of problem:
When I press the left Control key on the keyboard on my Dell Latitude D820 (Bios
version A01, which I believe is the latest one), several key events are
generated at once. Running 'showkey -s' and _only_ tapping the left Control key
gave the following output:

0x07 0x0d 0x42 0x0c 0x43 0xe0 0x53 0x1d 0x3b 0x3c 0x29 0xe0 0x47 0x06 0xe0 0x52
0xc2 0x8c
0xc3 0xe0 0xd3 0xe0 0xd2 0x9d 0x86 0xbb 0xbc 0xa9 0xe0 0xc7 0x8d 0x87

Maybe even more worrisome is that I get different scancodes every time I try...

The right Control key behaves in a similar fashion...

Version-Release number of selected component (if applicable):
kernel-smp-2.6.17-1.2157_FC5

How reproducible:
Every time

Steps to Reproduce:
1. Press CTRL
2. Watch weird things happen )-:

  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2006-10-16 17:10:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 David Juran 2006-11-03 07:05:34 EST
This actually turned out to be a hardware issue, replacing the keyboard on the
laptop solved the problem... 

Note You need to log in before you can comment on or make changes to this bug.